
Synnefo - Bug # 2921

Status: Assigned Priority: High

Author: Vangelis Koukis Category: Cyclades UI

Created: 10/15/2012 Assignee: Kostas Papadimitriou

Updated: 11/13/2012 Due date:

Subject: UI bug, "resp.images" undefined

Description

From a bug reported on okeanos.io:

Feedback message:

Error report

-------------------

Code: -1

Type: JS Exception

Message: TypeError: resp.images is undefined

Module: UI

Details: TypeError: resp.images is undefined&lt;br /&gt;&lt;br /&gt;@https://cyclades.okeanos.io/st&lt;br /&gt;&lt;br

/&gt;atic/ui/static/snf/js/lib

/stacktrace.js:42&lt;br /&gt;&lt;br /&gt;@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27&lt;br /&gt;&lt;br

/&gt;printStack

Trace@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:18&lt;br /&gt;&lt;br

/&gt;@https://cyclades.okeanos.io/static/ui/static/

snf/js/utils.js:462&lt;br /&gt;&lt;br /&gt;@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507&lt;br

/&gt;&lt;br /&gt;@h

ttps://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone.js:115&lt;br /&gt;&lt;br

/&gt;@https://cyclades.okeanos.io/static/ui/static/snf/js/u

i/web/ui_vms_base_view.js:630&lt;br /&gt;&lt;br

/&gt;@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:958

Please describe the actions that triggered the error:

User accepted data send:

True

User info:

Username: johngian@grnet.gr

User application data:

{"client":{"browser":{"mozilla":true,"version":"16.0"},"screen":{"top":0,"height":1080,"width":1920,"left":1920,"pixelDepth":24,"colorDepth":24,"ava
ilWidth":1920,"availHeight":1080,"availLeft":1920,"availTop":0,"mozOrientation":"landscape-primary","onmozorientationchange":null},"client":{"os":"L
inux","browser":"Firefox"}},"calls":{"/plankton/images/detail_GET":"2012-10-15T07:37:21.000Z","/ui/userdata/keys_GET":"2012-10-15T07:37:20.000Z","/a
pi/v1.1/flavors/detail_GET":"2012-10-15T07:37:20.000Z","/api/v1.1/servers/detail_GET":"2012-10-15T07:37:30.000Z","/api/v1.1/networks/detail_GET":"20
12-10-15T07:37:30.000Z"},"errors":[],"data":{"vms":[],"networks":[{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:32.169786+00:00","na
me":"Internet-3","created":"2012-08-21T13:51:48+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"1","gateway6":"2001:648:2FFC:1222::1","public":true," 
dhcp":true,"cidr":"192.168.0.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.0.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},
"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":tr

pth":24,"ava

ilWidth":1920,"availHeight":1080,"availLeft":1920,"availTop":0,"mozOrientation":"landscape-primary","onmozorientationchange":null},"client":{"os":"L
inux","browser":"Firefox"}},"calls":{"/plankton/images/detail_GET":"2012-10-15T07:37:21.000Z","/ui/userdata/keys_GET":"2012-10-15T07:37:20.000Z","/a
pi/v1.1/flavors/detail_GET":"2012-10-15T07:37:20.000Z","/api/v1.1/servers/detail_GET":"2012-10-15T07:37:30.000Z","/api/v1.1/networks/detail_GET":"20
12-10-15T07:37:30.000Z"},"errors":[],"data":{"vms":[],"networks":[{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:32.169786+00:00","na
me":"Internet-3","created":"2012-08-21T13:51:48+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"1","gateway6":"2001:648:2FFC:1222::1","public":true," 
dhcp":true,"cidr":"192.168.0.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.0.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},
"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10

ll},"client":{"os":"L

inux","browser":"Firefox"}},"calls":{"/plankton/images/detail_GET":"2012-10-15T07:37:21.000Z","/ui/userdata/keys_GET":"2012-10-15T07:37:20.000Z","/a
pi/v1.1/flavors/detail_GET":"2012-10-15T07:37:20.000Z","/api/v1.1/servers/detail_GET":"2012-10-15T07:37:30.000Z","/api/v1.1/networks/detail_GET":"20
12-10-15T07:37:30.000Z"},"errors":[],"data":{"vms":[],"networks":[{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:32.169786+00:00","na
me":"Internet-3","created":"2012-08-21T13:51:48+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"1","gateway6":"2001:648:2FFC:1222::1","public":true," 
dhcp":true,"cidr":"192.168.0.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.0.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},
"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"conn

-15T07:37:20.000Z","/a

pi/v1.1/flavors/detail_GET":"2012-10-15T07:37:20.000Z","/api/v1.1/servers/detail_GET":"2012-10-15T07:37:30.000Z","/api/v1.1/networks/detail_GET":"20
12-10-15T07:37:30.000Z"},"errors":[],"data":{"vms":[],"networks":[{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:32.169786+00:00","na
me":"Internet-3","created":"2012-08-21T13:51:48+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"1","gateway6":"2001:648:2FFC:1222::1","public":true," 
dhcp":true,"cidr":"192.168.0.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.0.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},
"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","g

etworks/detail_GET":"20

12-10-15T07:37:30.000Z"},"errors":[],"data":{"vms":[],"networks":[{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:32.169786+00:00","na
me":"Internet-3","created":"2012-08-21T13:51:48+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"1","gateway6":"2001:648:2FFC:1222::1","public":true," 
dhcp":true,"cidr":"192.168.0.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.0.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},
"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.ok

:32.169786+00:00","na

me":"Internet-3","created":"2012-08-21T13:51:48+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"1","gateway6":"2001:648:2FFC:1222::1","public":true," 
dhcp":true,"cidr":"192.168.0.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.0.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},
"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/st

1222::1","public":true," 
dhcp":true,"cidr":"192.168.0.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.0.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},
"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:6

to":[],"actions":{},

"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12:58:05.380705+00:00","name":"Internet-1","created":"2012-10-01T07:57:30.
618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


d":"2012-10-01T07:57:30.

618393+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4160","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.8.0/22","ty
pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


":"192.168.8.0/22","ty

pe":"PUBLIC_ROUTED","gateway":"192.168.8.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"sta
tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


connecting":0,"sta

tus":"ACTIVE","updated":"2012-10-12T12:57:44.926438+00:00","name":"Internet-0","created":"2012-10-01T07:56:56.128884+00:00","cidr6":"2001:648:2FFC:1
222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


:00","cidr6":"2001:648:2FFC:1

222::/64","id":"4159","gateway6":"2001:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.4.0/22","type":"PUBLIC_ROUTED","gateway":"192.168
.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


ED","gateway":"192.168

.4.1","attachments":{"values":[]},"nics":{},"linked_to":[],"actions":{},"state":"ACTIVE"},{"connecting":0,"status":"ACTIVE","updated":"2012-10-12T12
:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


012-10-12T12

:58:12.346344+00:00","name":"Internet-2","created":"2012-10-01T07:57:45.097186+00:00","cidr6":"2001:648:2FFC:1222::/64","id":"4161","gateway6":"2001
:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


":"4161","gateway6":"2001

:648:2FFC:1222::1","public":true,"dhcp":true,"cidr":"192.168.12.0/22","type":"PUBLIC_ROUTED","gateway":"192.168.12.1","attachments":{"values":[]},"n
ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


ments":{"values":[]},"n

ics":{},"linked_to":[],"actions":{},"state":"ACTIVE"}]},"date":"2012-10-15T07:37:33.065Z","error":{"ns":"UI","code":-1,"message":"TypeError: resp.im
ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br />atic/ui/static/snf/js/lib/st
acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br />printStackTrace@https://cyclades.okea
nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br />@https:/
/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone
.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br />@https://cyclades.okeanos.io/stati
c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}


eError: resp.im

ages is undefined","details":"TypeError: resp.images is undefined<br /><br />@https://cyclades.okeanos.io/st<br /><br

/>atic/ui/static/snf/js/lib/st

acktrace.js:42<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/stacktrace.js:27<br /><br

/>printStackTrace@https://cyclades.okea

nos.io/static/ui/static/snf/js/lib/stacktrace.js:18<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/utils.js:462<br /><br

/>@https:/

/cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_main_view.js:507<br /><br

/>@https://cyclades.okeanos.io/static/ui/static/snf/js/lib/backbone

.js:115<br /><br />@https://cyclades.okeanos.io/static/ui/static/snf/js/ui/web/ui_vms_base_view.js:630<br /><br

/>@https://cyclades.okeanos.io/stati

c/ui/static/snf/js/ui/web/ui_main_view.js:958"}}

History

#1 - 11/01/2012 06:34 pm - Kostas Papadimitriou

- Status changed from Assigned to Feedback

Any info to reproduce the error ? It seems that UI used old images api objects to handle images requests.

#2 - 11/13/2012 03:36 pm - Vangelis Koukis

- Status changed from Feedback to Assigned

This seems to have been caused by certain user-provided images not having a full set of image metadata.

Please talk with psomas for all the details, he may be able to reproduce it by reuploading the offending image.
